Skip to main content
GET
/
automate_workflows
{
  "entries": [
    {
      "id": "981",
      "type": "workflow_action",
      "action_type": "run_workflow",
      "workflow": {
        "id": "545",
        "type": "workflow",
        "name": "Contract approval workflow"
      },
      "description": "Runs workflow execution for selected files",
      "created_at": "2026-04-01T10:00:00.000Z",
      "updated_at": "2026-04-02T11:00:00.000Z",
      "created_by": {
        "id": "11446498",
        "type": "user",
        "name": "Aaron Levie",
        "login": "ceo@example.com"
      },
      "updated_by": {
        "id": "11446498",
        "type": "user",
        "name": "Aaron Levie",
        "login": "ceo@example.com"
      }
    }
  ],
  "limit": 1000,
  "next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii"
}
Learn more about Box SDK versioning strategy.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

box-version
enum<string>
required

Version header.

Available options:
2026.0

Query Parameters

folder_id
string
required

The unique identifier that represent a folder.

The ID for any folder can be determined by visiting this folder in the web application and copying the ID from the URL. For example, for the URL https://*.app.box.com/folder/123 the folder_id is 123.

The root folder of a Box account is always represented by the ID 0.

limit
integer<int64>

The maximum number of items to return per page.

Required range: x <= 1000
marker
string

Defines the position marker at which to begin returning results. This is used when paginating using marker-based pagination.

Response

Returns workflow actions that can be manually started.

A list of Automate workflow actions.

entries
Automate Workflow Action · object[]

Workflow actions available for manual start.

limit
integer<int64>

The limit that was used for these entries. This will be the same as the limit query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API.

Example:

1000

next_marker
string | null

The marker for the start of the next page of results.

Example:

"JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii"